Subject: Re: [X2Go-Dev] Bug#765: Kex Error in X2Go client

From: Mihai Moldovan <[email-masked]>
Date: Tue, 03 Mar 2015 14:31:58 +0100

Control: reassign -1 x2goclient
Thanks

Hi

On 24.01.2015 01:53 PM, promox wrote:
> Package: X2GO Client
>
> Version: 4.0.3.1
>
> Hi,
> Before my server using ubuntu but now I am switching to centos. But
> when I connect to server using x2go. I got error message: kex error:
> no match for method server host key algo: server [ssh-rsa,ssh-dss],
> client [ecdas-sha2-nistp256].
>
> Have anyway to fix that error?

This issue came up on the IRC channel a few days back and it looks like
your server is missing an RSA key.

Can you please run "sudo ssh-keygen -A", then restart the ssh daemon and
test again?

N.B.: there's nothing x2goclient can do about this situation, unfortunately.

Mihai